# Interface IdentityToken

A decoded and parsed id_token where the expected claims are explicitly typed.

Custom claims can be accessed with the index operator.

#### Example

    identityToken['my-custom-claim'] // returns the custom claim if set in the id_token, otherwise undefined

interface IdentityToken {
aud: string;
email: string;
exp: number;
family_name: string;
given_name: string;
iat: number;
iss: string;
name: string;
sub: string;
readonly [key: string]: any;
}

#### Indexable

- readonly [key: string]: any

##### Index

### Properties

aud
email
exp
family_name
given_name
iat
iss
name
sub

## Properties

### `Readonly` aud

aud: string

### `Readonly` email

email: string

### `Readonly` exp

exp: number

### `Readonly` family_name

family_name: string

### `Readonly` given_name

given_name: string

### `Readonly` iat

iat: number

### `Readonly` iss

iss: string

### `Readonly` name

name: string

### `Readonly` sub

sub: string